<?php

namespace PlagScanApi;

require_once  __DIR__ . '/Base.php';
/**
 * Class Repository
 * @author Ingmar Szmais <iszmais@databay.de>
 * @since 20.08.19
 */
class Repository extends Base
{

    /**
     * @return array|string
     */
    public function getAll()
    {
        return $this->handler->request('repositories/documents', 'GET', $this->accessToken);
    }

    /**
     * @param int $docID
     * @return array|string
     */
    public function delete(int $docID)
    {
        return $this->handler->request('repositories/documents/' . $docID, 'DELETE', $this->accessToken);
    }
}