<?php

class ilPlagScanFormSection
{

    public function addPlagScanConfig(ilPropertyFormGUI $form)
    {
        /** @var ilObjUser $user */
        $user = $GLOBALS['DIC']->user();
        $lng = new ilLanguage($user->getLanguage());
        $lng->loadLanguageModule('ui_uihk_psx');

        $section = new ilFormSectionHeaderGUI();
        $section->setTitle($lng->txt('ui_uihk_psx_ass_title'));
        $form->addItem($section);

        $act_cb = new ilCheckboxInputGUI($lng->txt('ui_uihk_psx_ass_activation'), 'psx_activation');
        $form->addItem($act_cb);

        $checkstart_drop = new ilSelectInputGUI($lng->txt('ui_uihk_psx_ass_checkstart'), 'psx_checkstart');
        $checkstart_drop->setOptions(
            array(
                'manual' => $lng->txt('ui_uihk_psx_ass_cs_manual'),
                'automatic' => $lng->txt('ui_uihk_psx_ass_cs_auto'),
            )
        );
        $form->addItem($checkstart_drop);

        $resultshare_drop = new ilSelectInputGUI($lng->txt('ui_uihk_psx_ass_resultshare'), 'psx_resultshare');
        $resultshare_drop->setOptions(
            array(
                'never' => $lng->txt('ui_uihk_psx_ass_rs_never'),
                'always' => $lng->txt('ui_uihk_psx_ass_rs_always'),
                'deadline' => $lng->txt('ui_uihk_psx_ass_rs_deadline'),

            )
        );
        $form->addItem($resultshare_drop);

        $resulttype_drop = new ilSelectInputGUI($lng->txt('ui_uihk_psx_ass_resulttype'), 'psx_resulttype');
        $resulttype_drop->setOptions(
            array(
                'percentage_only' => $lng->txt('ui_uihk_psx_ass_rt_percentage_only'),
                'percentage_link' => $lng->txt('ui_uihk_psx_ass_rt_percentage_link'),
            )
        );
        $form->addItem($resulttype_drop);

    }
}